Closed Bug 1630960 Opened 4 months ago Closed 4 months ago

Build bustage in builds/worker/checkouts/gecko/js/src/wasm/WasmCraneliftCompile.h when Gecko 77 merges to release on 2020-05-04

Categories

(Core :: Javascript: WebAssembly, defect)

defect

Tracking

()

RESOLVED DUPLICATE of bug 1630855
Tracking Status
firefox-esr68 --- unaffected
firefox75 --- unaffected
firefox76 --- unaffected
firefox77 --- verified

People

(Reporter: dluca, Unassigned)

References

(Regression)

Details

[Tracking Requested - why for this release]:

Central as beta sim:
https://treeherder.mozilla.org/#/jobs?repo=try&selectedJob=298091014&revision=8a742f215ecec349763e9b85d319a1b13670de00

Log:

 INFO -      Finished release [optimized] target(s) in 2.44s
[task 2020-04-17T12:35:47.195Z] 12:35:47     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/js/src/rust'
[task 2020-04-17T12:35:47.196Z] 12:35:47     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/js/src/shell'
[task 2020-04-17T12:35:47.196Z] 12:35:47     INFO -  js/src/shell/js
[task 2020-04-17T12:35:47.196Z] 12:35:47     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/js/src/shell'
[task 2020-04-17T12:35:47.196Z] 12:35:47     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/js/src/gdb'
[task 2020-04-17T12:35:47.196Z] 12:35:47     INFO -  js/src/gdb/gdb-tests
[task 2020-04-17T12:35:47.196Z] 12:35:47     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/js/src/gdb'
[task 2020-04-17T12:35:47.196Z] 12:35:47     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/js/src/jsapi-tests'
[task 2020-04-17T12:35:47.196Z] 12:35:47     INFO -  js/src/jsapi-tests/jsapi-tests
[task 2020-04-17T12:35:47.196Z] 12:35:47     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/js/src/jsapi-tests'
[task 2020-04-17T12:35:49.346Z] 12:35:49     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/js/src/gdb'
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  /builds/worker/fetches/sccache/sccache /builds/worker/fetches/clang/bin/clang++ -std=gnu++17 -o ../../../dist/bin/gdb-tests -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -Qunused-arguments -Qunused-arguments -Wall -Wbitfield-enum-conversion -Wempty-body -Wignored-qualifiers -Woverloaded-virtual -Wpointer-arith -Wshadow-field-in-constructor-modified -Wsign-compare -Wtype-limits -Wunreachable-code -Wunreachable-code-return -Wwrite-strings -Wno-invalid-offsetof -Wclass-varargs -Wempty-init-stmt -Wfloat-overflow-conversion -Wfloat-zero-conversion -Wloop-analysis -Wc++2a-compat -Wcomma -Wimplicit-fallthrough -Wunused-function -Wunused-variable -Wstring-conversion -Wtautological-overlap-compare -Wtautological-unsigned-enum-zero-compare -Wtautological-unsigned-zero-compare -Wno-error=tautological-type-limit-compare -Wno-inline-new-delete -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=backend-plugin -Wno-error=return-std-move -Wno-error=atomic-alignment -Wformat -Wformat-security -Wno-gnu-zero-variadic-macro-arguments -Wno-noexcept-type -Wno-unknown-warning-option -D_GLIBCXX_USE_CXX11_ABI=0 -fno-sized-deallocation -fno-aligned-new -fsanitize=thread -fcrash-diagnostics-dir=/builds/worker/artifacts -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -g -Xclang -load -Xclang /builds/worker/workspace/obj-build/build/clang-plugin/libclang-plugin.so -Xclang -add-plugin -Xclang moz-check -O2 -gline-tables-only -fomit-frame-pointer -funwind-tables  /builds/worker/workspace/obj-build/js/src/gdb/gdb-tests.list    -lpthread -fsanitize=thread -rdynamic -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,-Bsymbolic-functions -Wl,--build-id=sha1 -fstack-protector-strong -rdynamic -Wl,-rpath-link,/builds/worker/workspace/obj-build/dist/bin -Wl,-rpath-link,/builds/worker/workspace/obj-build/dist/lib   ../build/libjs_static.a /builds/worker/workspace/obj-build/x86_64-unknown-linux-gnu/release/libjsrust.a -pie ../../../config/external/nspr/pr/libnspr4.so ../../../config/external/nspr/libc/libplc4.so ../../../config/external/nspr/ds/libplds4.so -lm  -lm -ldl -Wl,--version-script,/builds/worker/checkouts/gecko/build/unix/stdc++compat/hide_std.ld
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  /builds/worker/fetches/binutils/bin/ld: ../build/libjs_static.a(Unified_cpp_js_src_wasm0.o): in function `js::wasm::CraneliftFreeReusableData(void*)':
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/js/src/wasm/WasmCraneliftCompile.h:51: multiple definition of `js::wasm::CraneliftFreeReusableData(void*)'; ../build/libjs_static.a(Unified_cpp_js_src3.o):/builds/worker/checkouts/gecko/js/src/util/StringBuffer.h:357: first defined here
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  /builds/worker/fetches/binutils/bin/ld: ../build/libjs_static.a(Unified_cpp_js_src_wasm1.o): in function `js::wasm::CraneliftFreeReusableData(void*)':
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/js/src/wasm/WasmCraneliftCompile.h:51: multiple definition of `js::wasm::CraneliftFreeReusableData(void*)'; ../build/libjs_static.a(Unified_cpp_js_src3.o):/builds/worker/checkouts/gecko/js/src/util/StringBuffer.h:357: first defined here
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  clang-9: error: linker command failed with exit code 1 (use -v to see invocation)
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/config/rules.mk:462: recipe for target '../../../dist/bin/gdb-tests' failed
[task 2020-04-17T12:35:49.347Z] 12:35:49    ERROR -  make[4]: *** [../../../dist/bin/gdb-tests] Error 1
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/js/src/gdb'
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/config/recurse.mk:74: recipe for target 'js/src/gdb/target' failed
[task 2020-04-17T12:35:49.347Z] 12:35:49    ERROR -  make[3]: *** [js/src/gdb/target] Error 2
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  make[3]: *** Waiting for unfinished jobs....
[task 2020-04-17T12:35:49.347Z] 12:35:49     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/js/src/shell'
[task 2020-04-17T12:35:49.349Z] 12:35:49     INFO -  /builds/worker/fetches/sccache/sccache /builds/worker/fetches/clang/bin/clang++ -std=gnu++17 -o ../../../dist/bin/js -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -Qunused-arguments -Qunused-arguments -Wall -Wbitfield-enum-conversion -Wempty-body -Wignored-qualifiers -Woverloaded-virtual -Wpointer-arith -Wshadow-field-in-constructor-modified -Wsign-compare -Wtype-limits -Wunreachable-code -Wunreachable-code-return -Wwrite-strings -Wno-invalid-offsetof -Wclass-varargs -Wempty-init-stmt -Wfloat-overflow-conversion -Wfloat-zero-conversion -Wloop-analysis -Wc++2a-compat -Wcomma -Wimplicit-fallthrough -Wunused-function -Wunused-variable -Wstring-conversion -Wtautological-overlap-compare -Wtautological-unsigned-enum-zero-compare -Wtautological-unsigned-zero-compare -Wno-error=tautological-type-limit-compare -Wno-inline-new-delete -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=backend-plugin -Wno-error=return-std-move -Wno-error=atomic-alignment -Wformat -Wformat-security -Wno-gnu-zero-variadic-macro-arguments -Wno-noexcept-type -Wno-unknown-warning-option -D_GLIBCXX_USE_CXX11_ABI=0 -fno-sized-deallocation -fno-aligned-new -fsanitize=thread -fcrash-diagnostics-dir=/builds/worker/artifacts -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -g -Xclang -load -Xclang /builds/worker/workspace/obj-build/build/clang-plugin/libclang-plugin.so -Xclang -add-plugin -Xclang moz-check -O2 -gline-tables-only -fomit-frame-pointer -funwind-tables  /builds/worker/workspace/obj-build/js/src/shell/js.list    -lpthread -fsanitize=thread -rdynamic -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,-Bsymbolic-functions -Wl,--build-id=sha1 -fstack-protector-strong -rdynamic -Wl,-rpath-link,/builds/worker/workspace/obj-build/dist/bin -Wl,-rpath-link,/builds/worker/workspace/obj-build/dist/lib   ../build/libjs_static.a /builds/worker/workspace/obj-build/x86_64-unknown-linux-gnu/release/libjsrust.a -pie ../../../config/external/nspr/pr/libnspr4.so ../../../config/external/nspr/libc/libplc4.so ../../../config/external/nspr/ds/libplds4.so -lm  -lm -ldl -Wl,--version-script,/builds/worker/checkouts/gecko/build/unix/stdc++compat/hide_std.ld
[task 2020-04-17T12:35:49.349Z] 12:35:49     INFO -  /builds/worker/fetches/binutils/bin/ld: ../build/libjs_static.a(Unified_cpp_js_src_wasm0.o): in function `js::wasm::CraneliftFreeReusableData(void*)':
[task 2020-04-17T12:35:49.349Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/js/src/wasm/WasmCraneliftCompile.h:51: multiple definition of `js::wasm::CraneliftFreeReusableData(void*)'; ../build/libjs_static.a(Unified_cpp_js_src3.o):/builds/worker/checkouts/gecko/js/src/util/StringBuffer.h:357: first defined here
[task 2020-04-17T12:35:49.350Z] 12:35:49     INFO -  /builds/worker/fetches/binutils/bin/ld: ../build/libjs_static.a(Unified_cpp_js_src_wasm1.o): in function `js::wasm::CraneliftFreeReusableData(void*)':
[task 2020-04-17T12:35:49.350Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/js/src/wasm/WasmCraneliftCompile.h:51: multiple definition of `js::wasm::CraneliftFreeReusableData(void*)'; ../build/libjs_static.a(Unified_cpp_js_src3.o):/builds/worker/checkouts/gecko/js/src/util/StringBuffer.h:357: first defined here
[task 2020-04-17T12:35:49.350Z] 12:35:49     INFO -  clang-9: error: linker command failed with exit code 1 (use -v to see invocation)
[task 2020-04-17T12:35:49.350Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/config/rules.mk:462: recipe for target '../../../dist/bin/js' failed
[task 2020-04-17T12:35:49.350Z] 12:35:49    ERROR -  make[4]: *** [../../../dist/bin/js] Error 1
[task 2020-04-17T12:35:49.350Z] 12:35:49     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/js/src/shell'
[task 2020-04-17T12:35:49.350Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/config/recurse.mk:74: recipe for target 'js/src/shell/target' failed
[task 2020-04-17T12:35:49.350Z] 12:35:49    ERROR -  make[3]: *** [js/src/shell/target] Error 2
[task 2020-04-17T12:35:49.498Z] 12:35:49     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/js/src/jsapi-tests'
[task 2020-04-17T12:35:49.498Z] 12:35:49     INFO -  /builds/worker/fetches/sccache/sccache /builds/worker/fetches/clang/bin/clang++ -std=gnu++17 -o ../../../dist/bin/jsapi-tests -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -Qunused-arguments -Qunused-arguments -Wall -Wbitfield-enum-conversion -Wempty-body -Wignored-qualifiers -Woverloaded-virtual -Wpointer-arith -Wshadow-field-in-constructor-modified -Wsign-compare -Wtype-limits -Wunreachable-code -Wunreachable-code-return -Wwrite-strings -Wno-invalid-offsetof -Wclass-varargs -Wempty-init-stmt -Wfloat-overflow-conversion -Wfloat-zero-conversion -Wloop-analysis -Wc++2a-compat -Wcomma -Wimplicit-fallthrough -Wunused-function -Wunused-variable -Wstring-conversion -Wtautological-overlap-compare -Wtautological-unsigned-enum-zero-compare -Wtautological-unsigned-zero-compare -Wno-error=tautological-type-limit-compare -Wno-inline-new-delete -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=backend-plugin -Wno-error=return-std-move -Wno-error=atomic-alignment -Wformat -Wformat-security -Wno-gnu-zero-variadic-macro-arguments -Wno-noexcept-type -Wno-unknown-warning-option -D_GLIBCXX_USE_CXX11_ABI=0 -fno-sized-deallocation -fno-aligned-new -fsanitize=thread -fcrash-diagnostics-dir=/builds/worker/artifacts -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -g -Xclang -load -Xclang /builds/worker/workspace/obj-build/build/clang-plugin/libclang-plugin.so -Xclang -add-plugin -Xclang moz-check -O2 -gline-tables-only -fomit-frame-pointer -funwind-tables  /builds/worker/workspace/obj-build/js/src/jsapi-tests/jsapi-tests.list    -lpthread -fsanitize=thread -rdynamic -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,-Bsymbolic-functions -Wl,--build-id=sha1 -fstack-protector-strong -rdynamic -Wl,-rpath-link,/builds/worker/workspace/obj-build/dist/bin -Wl,-rpath-link,/builds/worker/workspace/obj-build/dist/lib   ../build/libjs_static.a /builds/worker/workspace/obj-build/x86_64-unknown-linux-gnu/release/libjsrust.a -pie ../../../config/external/nspr/pr/libnspr4.so ../../../config/external/nspr/libc/libplc4.so ../../../config/external/nspr/ds/libplds4.so -lm  -lm -ldl -Wl,--version-script,/builds/worker/checkouts/gecko/build/unix/stdc++compat/hide_std.ld
[task 2020-04-17T12:35:49.498Z] 12:35:49     INFO -  /builds/worker/fetches/binutils/bin/ld: ../build/libjs_static.a(Unified_cpp_js_src_wasm0.o): in function `js::wasm::CraneliftFreeReusableData(void*)':
[task 2020-04-17T12:35:49.498Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/js/src/wasm/WasmCraneliftCompile.h:51: multiple definition of `js::wasm::CraneliftFreeReusableData(void*)'; ../build/libjs_static.a(Unified_cpp_js_src3.o):/builds/worker/checkouts/gecko/js/src/util/StringBuffer.h:357: first defined here
[task 2020-04-17T12:35:49.499Z] 12:35:49     INFO -  /builds/worker/fetches/binutils/bin/ld: ../build/libjs_static.a(Unified_cpp_js_src_wasm1.o): in function `js::wasm::CraneliftFreeReusableData(void*)':
[task 2020-04-17T12:35:49.499Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/js/src/wasm/WasmCraneliftCompile.h:51: multiple definition of `js::wasm::CraneliftFreeReusableData(void*)'; ../build/libjs_static.a(Unified_cpp_js_src3.o):/builds/worker/checkouts/gecko/js/src/util/StringBuffer.h:357: first defined here
[task 2020-04-17T12:35:49.499Z] 12:35:49     INFO -  clang-9: error: linker command failed with exit code 1 (use -v to see invocation)
[task 2020-04-17T12:35:49.499Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/config/rules.mk:462: recipe for target '../../../dist/bin/jsapi-tests' failed
[task 2020-04-17T12:35:49.499Z] 12:35:49    ERROR -  make[4]: *** [../../../dist/bin/jsapi-tests] Error 1
[task 2020-04-17T12:35:49.499Z] 12:35:49     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/js/src/jsapi-tests'
[task 2020-04-17T12:35:49.499Z] 12:35:49     INFO -  /builds/worker/checkouts/gecko/config/recurse.mk:74: recipe for target 'js/src/jsapi-tests/target' failed
[task 2020-04-17T12:35:49.499Z] 12:35:49    ERROR -  make[3]: *** [js/src/jsapi-tests/target] Error 2
[task 2020-04-17T12:40:27.449Z] 12:40:27     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/layout/generic'
[task 2020-04-17T12:40:27.449Z] 12:40:27     INFO -  /builds/worker/fetches/sccache/sccache /builds/worker/fetches/clang/bin/clang++ -std=gnu++17 -o Unified_cpp_layout_generic3.o -c  -I/builds/worker/workspace/obj-build/dist/stl_wrappers -I/builds/worker/workspace/obj-build/dist/system_wrappers -include /builds/worker/checkouts/gecko/config/gcc_hidden.h -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -DNDEBUG=1 -DTRIMMED=1 -DOS_POSIX=1 -DOS_LINUX=1 -DMOZ_HAS_MOZGLUE -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DSTATIC_EXPORTABLE_JS_API -I/builds/worker/checkouts/gecko/layout/generic -I/builds/worker/workspace/obj-build/layout/generic -I/builds/worker/workspace/obj-build/ipc/ipdl/_ipdlheaders -I/builds/worker/checkouts/gecko/ipc/chromium/src -I/builds/worker/checkouts/gecko/ipc/glue -I/builds/worker/checkouts/gecko/dom/plugins/base -I/builds/worker/checkouts/gecko/layout/base -I/builds/worker/checkouts/gecko/layout/forms -I/builds/worker/checkouts/gecko/layout/painting -I/builds/worker/checkouts/gecko/layout/style -I/builds/worker/checkouts/gecko/layout/svg -I/builds/worker/checkouts/gecko/layout/tables -I/builds/worker/checkouts/gecko/layout/xul -I/builds/worker/checkouts/gecko/docshell/base -I/builds/worker/checkouts/gecko/dom/base -I/builds/worker/checkouts/gecko/dom/html -I/builds/worker/checkouts/gecko/dom/xul -I/builds/worker/workspace/obj-build/dist/include -I/builds/worker/workspace/obj-build/dist/include/nspr -I/builds/worker/workspace/obj-build/dist/include/nss -fPIC -DMOZILLA_CLIENT -include /builds/worker/workspace/obj-build/mozilla-config.h -Qunused-arguments -Qunused-arguments -Wall -Wbitfield-enum-conversion -Wempty-body -Wignored-qualifiers -Woverloaded-virtual -Wpointer-arith -Wshadow-field-in-constructor-modified -Wsign-compare -Wtype-limits -Wunreachable-code -Wunreachable-code-return -Wwrite-strings -Wno-invalid-offsetof -Wclass-varargs -Wempty-init-stmt -Wfloat-overflow-conversion -Wfloat-zero-conversion -Wloop-analysis -Wc++2a-compat -Wcomma -Wimplicit-fallthrough -Wunused-function -Wunused-variable -Wstring-conversion -Wtautological-overlap-compare -Wtautological-unsigned-enum-zero-compare -Wtautological-unsigned-zero-compare -Wno-error=tautological-type-limit-compare -Wno-inline-new-delete -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=backend-plugin -Wno-error=return-std-move -Wno-error=atomic-alignment -Wformat -Wformat-security -Wno-gnu-zero-variadic-macro-arguments -Wno-unknown-warning-option -D_GLIBCXX_USE_CXX11_ABI=0 -fno-sized-deallocation -fno-aligned-new -fsanitize=thread -fcrash-diagnostics-dir=/builds/worker/artifacts -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -g -Xclang -load -Xclang /builds/worker/workspace/obj-build/build/clang-plugin/libclang-plugin.so -Xclang -add-plugin -Xclang moz-check -O2 -gline-tables-only -fomit-frame-pointer -funwind-tables -I/builds/worker/workspace/obj-build/dist/include/cairo -I/builds/worker/checkouts/gecko/widget/gtk/compat-gtk3 -pthread -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/gtk-3.0/unix-print -Wno-error=shadow -fexperimental-new-pass-manager  -MD -MP -MF .deps/Unified_cpp_layout_generic3.o.pp   Unified_cpp_layout_generic3.cpp
[task 2020-04-17T12:40:27.449Z] 12:40:27     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/layout/generic'
[task 2020-04-17T12:40:38.453Z] 12:40:38     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/layout/style'
[task 2020-04-17T12:40:38.454Z] 12:40:38     INFO -  /builds/worker/fetches/sccache/sccache /builds/worker/fetches/clang/bin/clang++ -std=gnu++17 -o Unified_cpp_layout_style4.o -c  -I/builds/worker/workspace/obj-build/dist/stl_wrappers -I/builds/worker/workspace/obj-build/dist/system_wrappers -include /builds/worker/checkouts/gecko/config/gcc_hidden.h -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -DNDEBUG=1 -DTRIMMED=1 -DOS_POSIX=1 -DOS_LINUX=1 -DMOZ_HAS_MOZGLUE -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DSTATIC_EXPORTABLE_JS_API -I/builds/worker/checkouts/gecko/layout/style -I/builds/worker/workspace/obj-build/layout/style -I/builds/worker/workspace/obj-build/ipc/ipdl/_ipdlheaders -I/builds/worker/checkouts/gecko/ipc/chromium/src -I/builds/worker/checkouts/gecko/ipc/glue -I/builds/worker/checkouts/gecko/layout/base -I/builds/worker/checkouts/gecko/layout/generic -I/builds/worker/checkouts/gecko/layout/svg -I/builds/worker/checkouts/gecko/layout/xul -I/builds/worker/checkouts/gecko/dom/base -I/builds/worker/checkouts/gecko/dom/html -I/builds/worker/checkouts/gecko/dom/xul -I/builds/worker/checkouts/gecko/image -I/builds/worker/workspace/obj-build/dist/include -I/builds/worker/workspace/obj-build/dist/include/nspr -I/builds/worker/workspace/obj-build/dist/include/nss -fPIC -DMOZILLA_CLIENT -include /builds/worker/workspace/obj-build/mozilla-config.h -Qunused-arguments -Qunused-arguments -Wall -Wbitfield-enum-conversion -Wempty-body -Wignored-qualifiers -Woverloaded-virtual -Wpointer-arith -Wshadow-field-in-constructor-modified -Wsign-compare -Wtype-limits -Wunreachable-code -Wunreachable-code-return -Wwrite-strings -Wno-invalid-offsetof -Wclass-varargs -Wempty-init-stmt -Wfloat-overflow-conversion -Wfloat-zero-conversion -Wloop-analysis -Wc++2a-compat -Wcomma -Wimplicit-fallthrough -Wunused-function -Wunused-variable -Wstring-conversion -Wtautological-overlap-compare -Wtautological-unsigned-enum-zero-compare -Wtautological-unsigned-zero-compare -Wno-error=tautological-type-limit-compare -Wno-inline-new-delete -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=backend-plugin -Wno-error=return-std-move -Wno-error=atomic-alignment -Wformat -Wformat-security -Wno-gnu-zero-variadic-macro-arguments -Wno-unknown-warning-option -D_GLIBCXX_USE_CXX11_ABI=0 -fno-sized-deallocation -fno-aligned-new -fsanitize=thread -fcrash-diagnostics-dir=/builds/worker/artifacts -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -g -Xclang -load -Xclang /builds/worker/workspace/obj-build/build/clang-plugin/libclang-plugin.so -Xclang -add-plugin -Xclang moz-check -O2 -gline-tables-only -fomit-frame-pointer -funwind-tables -fexperimental-new-pass-manager  -MD -MP -MF .deps/Unified_cpp_layout_style4.o.pp   Unified_cpp_layout_style4.cpp
[task 2020-04-17T12:40:38.454Z] 12:40:38     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/layout/style'
[task 2020-04-17T12:40:46.887Z] 12:40:46     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/layout/painting'
[task 2020-04-17T12:40:46.887Z] 12:40:46     INFO -  /builds/worker/fetches/sccache/sccache /builds/worker/fetches/clang/bin/clang++ -std=gnu++17 -o Unified_cpp_layout_painting0.o -c  -I/builds/worker/workspace/obj-build/dist/stl_wrappers -I/builds/worker/workspace/obj-build/dist/system_wrappers -include /builds/worker/checkouts/gecko/config/gcc_hidden.h -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -DNDEBUG=1 -DTRIMMED=1 -DOS_POSIX=1 -DOS_LINUX=1 -DMOZ_HAS_MOZGLUE -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DSTATIC_EXPORTABLE_JS_API -I/builds/worker/checkouts/gecko/layout/painting -I/builds/worker/workspace/obj-build/layout/painting -I/builds/worker/workspace/obj-build/ipc/ipdl/_ipdlheaders -I/builds/worker/checkouts/gecko/ipc/chromium/src -I/builds/worker/checkouts/gecko/ipc/glue -I/builds/worker/checkouts/gecko/docshell/base -I/builds/worker/checkouts/gecko/dom/base -I/builds/worker/checkouts/gecko/gfx/2d -I/builds/worker/checkouts/gecko/layout/base -I/builds/worker/checkouts/gecko/layout/generic -I/builds/worker/checkouts/gecko/layout/style -I/builds/worker/checkouts/gecko/layout/svg -I/builds/worker/checkouts/gecko/layout/tables -I/builds/worker/checkouts/gecko/layout/xul -I/builds/worker/checkouts/gecko/gfx/skia -I/builds/worker/checkouts/gecko/gfx/skia/skia -I/builds/worker/workspace/obj-build/dist/include -I/builds/worker/workspace/obj-build/dist/include/nspr -I/builds/worker/workspace/obj-build/dist/include/nss -fPIC -DMOZILLA_CLIENT -include /builds/worker/workspace/obj-build/mozilla-config.h -Qunused-arguments -Qunused-arguments -Wall -Wbitfield-enum-conversion -Wempty-body -Wignored-qualifiers -Woverloaded-virtual -Wpointer-arith -Wshadow-field-in-constructor-modified -Wsign-compare -Wtype-limits -Wunreachable-code -Wunreachable-code-return -Wwrite-strings -Wno-invalid-offsetof -Wclass-varargs -Wempty-init-stmt -Wfloat-overflow-conversion -Wfloat-zero-conversion -Wloop-analysis -Wc++2a-compat -Wcomma -Wimplicit-fallthrough -Wunused-function -Wunused-variable -Wstring-conversion -Wtautological-overlap-compare -Wtautological-unsigned-enum-zero-compare -Wtautological-unsigned-zero-compare -Wno-error=tautological-type-limit-compare -Wno-inline-new-delete -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=backend-plugin -Wno-error=return-std-move -Wno-error=atomic-alignment -Wformat -Wformat-security -Wno-gnu-zero-variadic-macro-arguments -Wno-unknown-warning-option -D_GLIBCXX_USE_CXX11_ABI=0 -fno-sized-deallocation -fno-aligned-new -fsanitize=thread -fcrash-diagnostics-dir=/builds/worker/artifacts -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -g -Xclang -load -Xclang /builds/worker/workspace/obj-build/build/clang-plugin/libclang-plugin.so -Xclang -add-plugin -Xclang moz-check -O2 -gline-tables-only -fomit-frame-pointer -funwind-tables -I/builds/worker/workspace/obj-build/dist/include/cairo -Wno-error=shadow -fexperimental-new-pass-manager  -MD -MP -MF .deps/Unified_cpp_layout_painting0.o.pp   Unified_cpp_layout_painting0.cpp
[task 2020-04-17T12:40:46.887Z] 12:40:46     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/layout/painting'
[task 2020-04-17T12:40:46.887Z] 12:40:46     INFO -  /builds/worker/checkouts/gecko/config/recurse.mk:32: recipe for target 'compile' failed
[task 2020-04-17T12:40:46.887Z] 12:40:46    ERROR -  make[2]: *** [compile] Error 2
[task 2020-04-17T12:40:46.887Z] 12:40:46     INFO -  /builds/worker/checkouts/gecko/config/rules.mk:394: recipe for target 'default' failed
[task 2020-04-17T12:40:46.887Z] 12:40:46    ERROR -  make[1]: *** [default] Error 2
[task 2020-04-17T12:40:46.887Z] 12:40:46     INFO -  client.mk:125: recipe for target 'build' failed
[task 2020-04-17T12:40:46.887Z] 12:40:46     INFO -  make: *** [build] Error 2
[task 2020-04-17T12:40:46.935Z] 12:40:46     INFO -  316 compiler warnings present.
[task 2020-04-17T12:40:47.036Z] 12:40:47     INFO -  Notification center failed: Install notify-send (usually part of the libnotify package) to get a notification when the build finishes.
[task 2020-04-17T12:40:47.117Z] 12:40:47    ERROR - Return code: 2

This bustage is caused by Bug 1630205.

Benjamin: Can you please take a look?

Flags: needinfo?(bbouvier)

Potentially a duplicate of bug 1630855, can you try with the patch there please?

Flags: needinfo?(bbouvier) → needinfo?(dluca)

It will be included in tomorrow's beta sims.

Flags: needinfo?(dluca)
Summary: Build bustage in builds/worker/checkouts/gecko/js/src/wasm/WasmCraneliftCompile.h when Gecko 77 merges to release on 2020-27-04 → Build bustage in builds/worker/checkouts/gecko/js/src/wasm/WasmCraneliftCompile.h when Gecko 77 merges to release on 2020-05-04
Status: NEW → RESOLVED
Closed: 4 months ago
Resolution: --- → DUPLICATE
Duplicate of bug: 1630855
You need to log in before you can comment on or make changes to this bug.